SpringMVCViewDecorator (Grails 3.1.1)
Date: 2016-02-04

Package: org.grails.web.sitemesh

## [Java] Class SpringMVCViewDecorator

- org.grails.web.sitemesh.SpringMVCViewDecorator

- All Implemented Interfaces and Traits:
    com.opensymphony.sitemesh.Decorator

      public class SpringMVCViewDecorator
      extends com.opensymphony.module.sitemesh.mapper.DefaultDecorator

  Encapsulates the logic for rendering a layout.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SpringMVCViewDecorator (java.lang.String name, org.springframework.web.servlet.View view)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovy.text.Template` | `getTemplate()`
    `org.springframework.web.servlet.View` | `getView()`
    `void` | `render(com.opensymphony.sitemesh.Content content, com.opensymphony.sitemesh.SiteMeshContext context)`
    `void` | `render(com.opensymphony.sitemesh.Content content, java.util.Map<java.lang.String, ?> model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class com.opensymphony.module.sitemesh.mapper.DefaultDecorator` | `com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getURIPath(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getPage(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getInitParameter(java.lang.String), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getInitParameterNames(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getRole(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getName(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#wait(long, int), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#wait(long), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#wait(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#equals(java.lang.Object), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#toString(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#hashCode(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getClass(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#notify(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public SpringMVCViewDecorator(java.lang.String name, org.springframework.web.servlet.View view)

  - ### Method Detail

    - #### public groovy.text.Template getTemplate()

    - #### public org.springframework.web.servlet.View getView()

    - #### public void render(com.opensymphony.sitemesh.Content content, com.opensymphony.sitemesh.SiteMeshContext context)

    - #### public void render(com.opensymphony.sitemesh.Content content, java.util.Map<java.lang.String, ?> model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)